//==========================================================================
// ファイルの説明[ファイル名.h]
// author: 制作者名
//==========================================================================
#ifndef _インクルードガード_H_
#define _インクルードガード_H_

//==========================================================================
// include
//==========================================================================
#include "dxlib.h"

//==========================================================================
//
// class  : クラス名
// Content: クラスの説明
//
//==========================================================================
class Cクラス名 : public CObject
{
public:
    /*このオブジェクトのタイプの宣言*/
    Cクラス名() : CObject(CObject::ID::Default) {/*何も書かなくてよい*/ }
    ~Cクラス名() {/*何も書かなくてよい*/ }

    // 初期化
    bool Init(void)override;

    // 解放
    void Uninit(void)override;

    // 更新
    void Update(void)override;

    // 描画
    void Draw(void)override;
private:
/*
●宣言が許可されているライブラリの機能
CVector2<型名>
CVector3<型名>
CVector4<型名>
CObjectVectorManager<型名>

c/c++/DirectXの変数などは自由です。

●禁止されていること
new/delete/malloc/free/の使用

●許可されている機能の説明
・CObjectVectorManager<型名>
インスタンスを生成したい時に、安全なインスタンスの管理を提供する機能です。
インスタンスの生成/管理/破棄の全てをやってくれるテンプレートクラスです。
内部の機能の説明は、変数名にピリオドを打てば関数一覧がでて、説明を読むことができます。
※類似した機能(CObjectListManager)が存在しますが、生成したインスタンスをアクセス領域にセットしないといけないため非推奨です。
*/
};

#endif // !_インクルードガード_H_
